Summary:        FIDO2 library
Name:           libfido2
Version:        1.13.0
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/Yubico/%{name}
Source0:        https://developers.yubico.com/%{name}/Releases/%{name}-%{version}.tar.gz

BuildRequires:  make cmake gcc
BuildRequires:  pkgconfig(libcbor) pkgconfig(libudev)
BuildRequires:  pkgconfig(openssl) pkgconfig(zlib)

%description
%{name} is an open source library for the FIDO2 protocol. FIDO2 is an open 
authentication standard which consists of the W3C Web Authentication specification 
(WebAuthn API), and the Client to Authentication Protocol (CTAP).  CTAP is an application 
layer protocol used for communication between a client (browser) or a platform 
(operating system) with an external authentication device (for example the Yubico Security Key).

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
%{name}-devel contains development libraries and header files needed to develop 
applications that use FIDO U2F and FIDO 2.0 protocols.

%package -n fido2-tools
Summary:        FIDO2 tools
Requires:       %{name} = %{version}-%{release}

%description -n fido2-tools
FIDO2 command line tools to access and configure a FIDO2 compliant
authentication device.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install
find %{buildroot} -type f -name "*.a" -delete -print

%files
%license LICENSE
%doc NEWS README.adoc
%{_libdir}/libfido2.so.1{,.*}

%files devel
%{_libdir}/pkgconfig/*
%{_libdir}/libfido2.so
%{_includedir}/*
%{_mandir}/man3/*

%files -n fido2-tools
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 1.13.0-2
- Rebuilt for libcbor 0.10.2

* Wed Jul 12 2023 Shuo Wang <abushwang@tencent.com> - 1.13.0-1
- update to 1.13.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 16 2022 Cheng Xin <denisecheng@tencent.com> - 1.11.0-1
- package init.
